summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorLolix2019-05-02 20:37:10 +0200
committerLolix2019-05-02 20:37:10 +0200
commitaaa0b52ec0aea782de153422a904fea5f8780243 (patch)
tree78ff8bf1e537e57f4c3dbf352d9a8960ea49c708 /PKGBUILD
downloadaur-aaa0b52ec0aea782de153422a904fea5f8780243.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f508054c3ad
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Fabio 'Lolix' Loli <lolix@disroot.org> -> https://github.com/FabioLolix
+
+pkgname=spreadsheet-git
+pkgver=r82.d8309de
+pkgrel=1
+pkgdesc="Spreadsheet program built with Vala and GTK+, especially for elementary OS"
+arch=(x86_64 i686 arm armv6h armv7h aarch64)
+url="https://github.com/ryonakano/Spreadsheet"
+license=(MIT)
+depends=(libgranite.so)
+makedepends=(git vala meson)
+provides=(spreadsheet)
+conflicts=(spreadsheet)
+source=("${pkgname%-git}::git+${url}.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${pkgname%-git}"
+ meson . build --prefix=/usr
+ ninja -C build
+}
+
+package() {
+ cd "${pkgname%-git}"
+ DESTDIR="${pkgdir}" ninja -C build install
+ ln -s /usr/bin/com.github.ryonakano.spreadsheet "$pkgdir/usr/bin/spreadsheet"
+ install -Dm 644 "$srcdir/${pkgname%-git}/LICENSE.md" "${pkgdir}/usr/share/licenses/${pkgname}/MIT"
+}